# Core dependencies
pyyaml>=6.0
jsonschema>=4.17.0

# LLM dependencies
openai>=1.93.0

# Data processing
pandas>=1.5.0
numpy>=1.23.0
pillow>=10.3.0

# optimisation
optuna>=3.0.0

# Retry handling
tenacity>=8.2.0

# Utilities
colorama==0.4.6
tqdm>=4.64.0

# Testing
pytest>=8.4.0

# Embeddings API and Heatmap
scikit-learn==1.7.0
seaborn==0.13.2
matplotlib==3.10.3